Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1510443 - journal spammed with WARN cannot red eth0 speed (when using virtio NICs on the *host*)
Summary: journal spammed with WARN cannot red eth0 speed (when using virtio NICs on th...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: vdsm
Classification: oVirt
Component: Core
Version: 4.20.3
Hardware: All
OS: All
medium
low vote
Target Milestone: ovirt-4.2.0
: ---
Assignee: Edward Haas
QA Contact: Lucie Leistnerova
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-07 12:23 UTC by Lukas Svaty
Modified: 2017-12-20 11:26 UTC (History)
4 users (show)

Fixed In Version: vdsm-api-4.20.6-62.gitd3023e4.el7.centos.noarch.rpm
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-20 11:26:47 UTC
oVirt Team: Network
rule-engine: ovirt-4.2+


Attachments (Terms of Use)
vdsmd.log cut off (deleted)
2017-11-07 12:23 UTC, Lukas Svaty
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 83796 master MERGED net: Logging failure to read the speed at debug level 2017-11-08 18:23:17 UTC

Description Lukas Svaty 2017-11-07 12:23:50 UTC
Created attachment 1348932 [details]
vdsmd.log cut off

Description of problem:
$subj every 15 seconds, we can lower that

# tail -f /var/log/vdsm/vdsm.log | grep WARN
2017-11-07 13:19:41,489+0100 WARN  (periodic/1) [root] cannot read eth0 speed (nic:41)
2017-11-07 13:19:56,544+0100 WARN  (periodic/7) [root] cannot read eth0 speed (nic:41)

Adding vdsmd.log, not much I can read from it regarding this issue.

2 questions:
What is causing the warning?
How do we lower the frequency of logging it?

Comment 1 Yaniv Kaul 2017-11-08 07:03:23 UTC
This only happens with virtio NICs, which simply do not advertise their speed.

Comment 2 Edward Haas 2017-11-08 16:21:57 UTC
Changing the logging level to debug. Debug logs should not reach the journal.

Comment 3 Lukas Svaty 2017-11-13 13:20:28 UTC
clean & clean:
# journalctl --unit vdsmd -p 0..4 -S today
# tail -f /var/log/vdsm/vdsm.log | grep WARN

Comment 4 Sandro Bonazzola 2017-12-20 11:26:47 UTC
This bugzilla is included in oVirt 4.2.0 release, published on Dec 20th 2017.

Since the problem described in this bug report should be
resolved in oVirt 4.2.0 release, published on Dec 20th 2017, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.